Summary:	A simple serial device I/O tool
Name:		tio
Version:	3.9
Release:	1
License:	GPL v2+
Group:		Applications/Communications
Source0:	https://github.com/tio/tio/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	4f6ca45ad77cad069b8c38c7c8715ea2
URL:		https://github.com/tio/tio
BuildRequires:	glib2-devel
BuildRequires:	linux-libc-headers >= 7:2.6.20
BuildRequires:	lua-devel >= 5.1
BuildRequires:	meson >= 0.53.2
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tio is a simple serial device tool which features a straightforward
command-line and configuration file interface to easily connect to
serial TTY devices for basic I/O operations.

%package -n bash-completion-tio
Summary:	bash-completion for tio
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-tio
bash-completion for tio.

%prep
%setup -q

%build
%meson \
	-Dbashcompletiondir=%{bash_compdir}

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md TODO
%attr(755,root,root) %{_bindir}/tio
%{_mandir}/man1/tio.1*

%files -n bash-completion-tio
%defattr(644,root,root,755)
%{bash_compdir}/tio
%changelog
* Sun Apr 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tio.git;a=log;h=master

* Sun Apr 13 2025 Jan Palus <atler@pld-linux.org> e3dbdb2
- up to 3.9

* Sun Apr 13 2025 Jan Palus <atler@pld-linux.org> d530f40
- use new meson macros

* Sat Nov 30 2024 Jan Palus <atler@pld-linux.org> 07f3e58
- up to 3.8

* Sat Aug 31 2024 Jan Palus <atler@pld-linux.org> 38b8dd4
- up to 3.7

* Fri Jul 19 2024 Jan Palus <atler@pld-linux.org> e2d3a7b
- up to 3.6

* Tue Jul 02 2024 Jan Palus <atler@pld-linux.org> b24c5e2
- up to 3.5

* Sat Jun 15 2024 Jan Palus <atler@pld-linux.org> 1c6b4ec
- up to 3.4

* Wed May 15 2024 Jan Palus <atler@pld-linux.org> 4e513d5
- up to 3.3

* Wed May 08 2024 Jan Palus <atler@pld-linux.org> 3e3db29
- up to 3.2

* Fri May 03 2024 Jan Palus <atler@pld-linux.org> 7ba9633
- up to 3.1

* Tue Apr 30 2024 Jan Palus <atler@pld-linux.org> f75716c
- up to 3.0

* Mon Apr 15 2024 Jan Palus <atler@pld-linux.org> 760f403
- up to 2.8

* Thu Sep 21 2023 Jan Palus <atler@pld-linux.org> 5f25534
- up to 2.7

* Sat Jun 10 2023 Jan Palus <atler@pld-linux.org> cbe711a
- up to 2.6

* Sat Jan 14 2023 Jan Palus <atler@pld-linux.org> 8d91463
- BR: pkgconfig

* Sat Jan 14 2023 Jan Palus <atler@pld-linux.org> 9092258
- up to 2.5

* Wed Nov 09 2022 Jan Palus <atler@pld-linux.org> 3278ae1
- up to 2.3

* Sun Jul 24 2022 Jan Palus <atler@pld-linux.org> 739c67a
- up to 1.47

* Thu Jul 21 2022 Jan Palus <atler@pld-linux.org> 6493850
- up to 1.46

* Thu Jul 21 2022 Jan Palus <atler@pld-linux.org> e68adb2
- adapterized

